Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.groupsmanager.permissions
Class GroupsManagerBlockEntitySelectPermissions

    java.lang.Object
      org.jasig.portal.channels.groupsmanager.permissions.GroupsManagerBlockEntitySelectPermissions

All Implemented Interfaces:
  GroupsManagerConstants, IGroupsManagerPermissions

    public class GroupsManagerBlockEntitySelectPermissions

extends java.lang.Object
implements IGroupsManagerPermissions, GroupsManagerConstants

GroupsManagerBlockEntitySelectPermissions answers if the Authorization Principal is able to perform specific actions on the target Group Member.

Version:
  $Revision: 1.4.4.3 $
Author:
  Don Fracapane

Field Summary
`protected IGroupsManagerPermissions` | `permMgr`

Fields inherited from interface org.jasig.portal.channels.groupsmanager.GroupsManagerConstants
`ADD_REMOVE_PERMISSION, ASSIGN_PERMISSION, BASE_PACKAGE, BROWSE_MODE, COMMANDS_PACKAGE, CREATE_PERMISSION, DELETE_PERMISSION, EDIT_MODE, ENTITY_CLASSNAME, ENTITY_TAGNAME, GROUP_CLASSNAME, GROUP_TAGNAME, GROUPS_PACKAGE, MEMBERS_ONLY_MODE, OWNER, PROPERTIES_TAGNAME, ROOT_GROUP_DESCRIPTION, ROOT_GROUP_TITLE, SECURITY_PACKAGE, SELECT_MODE, SELECT_PERMISSION, UPDATE_PERMISSION, VIEW_PERMISSION, WRAPPERS_PACKAGE`

Constructor Summary
`GroupsManagerBlockEntitySelectPermissions()` put your documentation comment here
`GroupsManagerBlockEntitySelectPermissions(IGroupsManagerPermissions pMgr)` put your documentation comment here

Method Summary
`boolean` | `canAssignPermissions(IAuthorizationPrincipal ap, IGroupMember gm)` Answers if the principal is able to assign permissions on the group member.
`boolean` | `canCreateGroup(IAuthorizationPrincipal ap, IGroupMember gm)` Answers if the principal is able to create a subgroup under the group member.
`boolean` | `canDelete(IAuthorizationPrincipal ap, IGroupMember gm)` Answers if the principal is able to delete the group member.
`boolean` | `canManageMembers(IAuthorizationPrincipal ap, IGroupMember gm)` Answers if the principal is able to manage the group member.
`boolean` | `canSelect(IAuthorizationPrincipal ap, IGroupMember gm)` Answers if principal can select the target group member.
`boolean` | `canUpdate(IAuthorizationPrincipal ap, IGroupMember gm)` Answers if the principal is able to update the group member.
`boolean` | `canView(IAuthorizationPrincipal ap, IGroupMember gm)` Answers if the principal is able to view the group member.
`boolean` | `canViewProperties(IAuthorizationPrincipal ap, IGroupMember gm)` Answers if the principal is able to view the group member properties.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### permMgr

    protected IGroupsManagerPermissions permMgr

Constructor Detail

### GroupsManagerBlockEntitySelectPermissions

    public GroupsManagerBlockEntitySelectPermissions()

  put your documentation comment here

### GroupsManagerBlockEntitySelectPermissions

    public GroupsManagerBlockEntitySelectPermissions(IGroupsManagerPermissions pMgr)

  put your documentation comment here

Method Detail

### canAssignPermissions

    public boolean canAssignPermissions(IAuthorizationPrincipal ap,
                                        IGroupMember gm)

  Description copied from interface: `IGroupsManagerPermissions`
  Answers if the principal is able to assign permissions on the group member.

  Specified by:
    `canAssignPermissions` in interface `IGroupsManagerPermissions`
  Parameters:
    `ap` - IAuthorizationPrincipal
    `gm` - IGroupMember
  Returns:
    boolean

### canCreateGroup

    public boolean canCreateGroup(IAuthorizationPrincipal ap,
                                  IGroupMember gm)

  Description copied from interface: `IGroupsManagerPermissions`
  Answers if the principal is able to create a subgroup under the group member.

  Specified by:
    `canCreateGroup` in interface `IGroupsManagerPermissions`
  Parameters:
    `ap` - IAuthorizationPrincipal
    `gm` - IGroupMember
  Returns:
    boolean

### canManageMembers

    public boolean canManageMembers(IAuthorizationPrincipal ap,
                                    IGroupMember gm)

  Description copied from interface: `IGroupsManagerPermissions`
  Answers if the principal is able to manage the group member.

  Specified by:
    `canManageMembers` in interface `IGroupsManagerPermissions`
  Parameters:
    `ap` - IAuthorizationPrincipal
    `gm` - IGroupMember
  Returns:
    boolean

### canDelete

    public boolean canDelete(IAuthorizationPrincipal ap,
                             IGroupMember gm)

  Description copied from interface: `IGroupsManagerPermissions`
  Answers if the principal is able to delete the group member.

  Specified by:
    `canDelete` in interface `IGroupsManagerPermissions`
  Parameters:
    `ap` - IAuthorizationPrincipal
    `gm` - IGroupMember
  Returns:
    boolean

### canSelect

    public boolean canSelect(IAuthorizationPrincipal ap,
                             IGroupMember gm)

  Answers if principal can select the target group member.

  Specified by:
    `canSelect` in interface `IGroupsManagerPermissions`
  Parameters:
    `ap` - AuthorizationPrincipal
    `gm` - IGroupMember
  Returns:
    boolean

### canUpdate

    public boolean canUpdate(IAuthorizationPrincipal ap,
                             IGroupMember gm)

  Description copied from interface: `IGroupsManagerPermissions`
  Answers if the principal is able to update the group member.

  Specified by:
    `canUpdate` in interface `IGroupsManagerPermissions`
  Parameters:
    `ap` - IAuthorizationPrincipal
    `gm` - IGroupMember
  Returns:
    boolean

### canView

    public boolean canView(IAuthorizationPrincipal ap,
                           IGroupMember gm)

  Description copied from interface: `IGroupsManagerPermissions`
  Answers if the principal is able to view the group member.

  Specified by:
    `canView` in interface `IGroupsManagerPermissions`
  Parameters:
    `ap` - IAuthorizationPrincipal
    `gm` - IGroupMember
  Returns:
    boolean

### canViewProperties

    public boolean canViewProperties(IAuthorizationPrincipal ap,
                                     IGroupMember gm)

  Description copied from interface: `IGroupsManagerPermissions`
  Answers if the principal is able to view the group member properties.

  Specified by:
    `canViewProperties` in interface `IGroupsManagerPermissions`
  Parameters:
    `ap` - IAuthorizationPrincipal
    `gm` - IGroupMember
  Returns:
    boolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD